shishi_keys_add_keytab_mem(3)

NAME
shishi_keys_add_keytab_mem - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_add_keytab_mem(Shishi * handle, const char * data, size_t len, Shishi_keys * keys);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * data
    constant memory buffer with keytab of len size.

size_t len
    size of memory buffer with keytab data.

Shishi_keys * keys
    allocated key set to store keys in.

DESCRIPTION
Read keys from a MIT keytab data structure, and add them to the key set. The format of keytab's is proprietary, and this function support the 0x0501 and 0x0502 formats. See the section The MIT Kerberos Keytab Binary File Format in the Shishi manual for a description of the reverse-engineered format.

RETURNS
Returns SHISHI_KEYTAB_ERROR if the data does not represent a valid keytab structure, and SHISHI_OK on success.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.